"use strict";
/* eslint-disable max-classes-per-file */
Object.defineProperty(exports, "__esModule", { value: true });
exports.TimeoutError = exports.ChecksumError = exports.LoaderError = void 0;
class LoaderError extends Error {
    constructor(...args) {
        super(...args);
        this.name = 'LoaderError';
    }
}
exports.LoaderError = LoaderError;
class ChecksumError extends LoaderError {
    constructor(...args) {
        super(...args);
        this.name = 'ChecksumError';
    }
}
exports.ChecksumError = ChecksumError;
class TimeoutError extends LoaderError {
    constructor(...args) {
        super(...args);
        this.name = 'TimeoutError';
    }
}
exports.TimeoutError = TimeoutError;
//# sourceMappingURL=errors.js.map