export interface CommandOptions {
    INAmask: number;
    INAdata: number;
    INBmask: number;
    INBdata: number;
    timeout: number;
}
export interface WriteCommandOptions extends CommandOptions {
    checksum: boolean;
    hex: boolean;
}
export declare function getValidCommandOptions(options: Partial<CommandOptions>, defaultTimeout: number): CommandOptions;
export declare function getValidWriteCommandOptions(options: Partial<WriteCommandOptions>, defaultTimeout: number): WriteCommandOptions;
export declare function getSelectParams(options: CommandOptions): string;
