"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.waitForDrain = exports.waitForDuration = void 0;
function waitForDuration(ms) {
    return new Promise((resolve) => setTimeout(resolve, ms));
}
exports.waitForDuration = waitForDuration;
function waitForDrain(port, fullDrain = false) {
    return new Promise(resolve => {
        if (fullDrain) {
            port.drain(() => resolve());
        }
        else {
            port.once('drain', () => resolve());
        }
    });
}
exports.waitForDrain = waitForDrain;
//# sourceMappingURL=utils.js.map